"use strict";

var _index = _interopRequireDefault(require("./build/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var webpack = require("webpack");

var currentConfig = require("./webpack/webpack.dev.config");

var merge = require("webpack-merge");

var WebpackDevServer = require("webpack-dev-server");

var config = {},
    importConfig = {};
var build = new _index["default"]();

function getConfig(options, env) {
  return options.devkit.commands[env].options;
}

module.exports = function (ctx) {
  importConfig = getConfig(ctx.projectConfig, "dev");
  config = merge(currentConfig, build.createDevConfig(importConfig));
  console.log(config);
  var compiler = webpack(config);
  var devServerOptions = Object.assign({}, config.devServer, {
    open: true,
    stats: {
      colors: true
    }
  });
  var server = new WebpackDevServer(compiler, devServerOptions);
  server.listen(1234, "localhost", function () {
    console.log("Starting server on http://localhost:1234");
  }); // webpack(config, (err, stats) => {
  //   if (err) {
  //     console.log(err);
  //   }
  //   console.log(
  //     stats.toString({
  //       chunks: false,
  //       colors: true,
  //       children: false
  //     })
  //   );
  // });
};